| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iReporterListener Struct Reference
[Utilities]

Implement this interface if you're interested in hearing about new messages on the reporter. More...

`#include <ivaria/reporter.h>`

Inheritance diagram for iReporterListener:

[legend]
List of all members.

## Public Member Functions
virtual bool | Report (iReporter *reporter, int severity, const char *msgId, const char *description)=0
| Something has been reported.

## Detailed Description

Implement this interface if you're interested in hearing about new messages on the reporter.

Main creators of instances implementing this interface:

- Application.
- Standard reporter listener plugin (crystalspace.utilities.stdrep)

Main users of this interface:

- iReporter

Definition at line 84 of file reporter.h.

## Member Function Documentation

virtual bool iReporterListener::Report | ( | iReporter * | reporter,
|  | int | severity,
|  | const char * | msgId,
|  | const char * | description |
| ) |  |  | `[pure virtual]`

Something has been reported.

If this function returns true then the report is considered handled and the reporter will not add it anymore.

The documentation for this struct was generated from the following file:

- ivaria/reporter.h